EDIT - feature request #5952

Second cache field for specimen (identityCache)
07/05/2016 11:47 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.1

Severity: normal

Description

for more information see #5951

Related issues:

Related to EDIT - feature request #5951: Add collector, field number and coll... New
Related to EDIT - feature request #5573: Cache Strategy for Media Specimen re... Closed
Related to EDIT - task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies Closed
Related to EDIT - task #9679: Formatter and update script for SpecimenOrObser... New
Related to EDIT - task #9871: Use identity cache for specimens in TaxEditor New
Related to EDIT - feature request #9879: Short title for field and derived units New
Related to EDIT - bug #9978: Change of CacheStrategy from DerivedUnitFacade t... In Progress

Associated revisions

Revision 7e03e21e - 10/13/2016 04:59 PM - Andreas Miiller
fix #5952 Add fieldNumberCache

Revision 60dd84cb - 10/13/2016 11:54 PM - Andreas Miiller
fix #5952 Add identityCache

Revision b362a2c0 - 10/18/2016 02:15 PM - Andreas Miiller
ref #5952 Add index to identityCache

Revision 6e8ebcb6 - 11/12/2021 05:23 PM - Andreas Miiller
ref #5952, ref #5951 add identityCache formatting to SpecimenOrObservationBase cache strategies

History

#1 - 07/05/2016 11:47 AM - Andreas Miiller
- Category changed from architecture to cdm

- Target version changed from Unassigned CDM tickets to COM UML 4.1

#2 - 07/05/2016 11:48 AM - Andreas Miiller

- Subject changed from Second cache field for specimen to Second cache field for specimen (identifyingCache)

#3 - 07/08/2016 08:57 PM - Andreas Miiller
- Priority changed from New to Highest

#4 - 10/13/2016 04:50 PM - Andreas Miller

- Related to feature request #5951: Add collector, field number and collection to specimen search label added

#5 - 10/13/2016 04:58 PM - Andreas Miiller
- Subject changed from Second cache field for specimen (identifyingCache) to Second cache field for specimen (identityCache)

- Description updated

255 characters should be enough as it should be a short cache only holding most important identifiers
#6 - 10/13/2016 05:00 PM - Andreas Miller

- Status changed from New to Resolved

#7 - 10/18/2016 06:36 PM - Andreas Miiller
- % Done changed from 0 to 50

Applied in changeset cdmlib|7e03e21e1ae317b2fc610adf44deabb82083a083.

#8 - 11/16/2016 10:40 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#9 - 11/21/2016 01:40 PM - Andreas Miiller

- Private changed from Yes to No

#10 - 04/29/2021 04:30 PM - Andreas Miiller
- Related to feature request #5573: Cache Strategy for Media Specimen required added

#11 - 06/25/2021 10:04 AM - Andreas Miiller
- Related to task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies added

#12 - 06/25/2021 10:12 AM - Andreas Miiller

- Related to task #9679: Formatter and update script for SpecimenOrObservationBase short cache added

#14 - 11/16/2021 03:58 PM - Andreas Miiller
- Related to task #9871: Use identity cache for specimens in TaxEditor added

#15 - 11/22/2021 09:58 PM - Andreas Miiller
- Related to feature request #9879: Short title for field and derived units added

#16 - 03/23/2022 09:12 AM - Andreas Miiller

- Related to bug #9978: Change of CacheStrategy from DerivedUnitFacade to DerivedUnitDefaultCacheStrategy results in different caches for
MediaSpecimen added

04/03/2024 22


https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/7e03e21e1ae317b2fc610adf44deabb82083a083
http://www.tcpdf.org

